/* ------------------------------------------
    LAYOUT
------------------------------------------ */

.modal--newsletter {
	margin: 0;
}

.modal h2 {
	font-family: var(--font_title);
	text-align: center;
	margin-bottom: 30px;
}

.modal .caption {
	font-size: 12px;
	color: #ABACAF;
	margin: 0 auto;
	max-width: 500px;
}


/* ------------------------------------------
    BUTTONS
------------------------------------------ */

.btn {
	display: inline-block;
	width: 100%;
	margin: auto;
	cursor: pointer;
	font-size: 13px;
	font-weight: 600;
	text-align: center;
	text-transform: uppercase;
	letter-spacing: .06em;
	padding: 10px 15px;
	border: none;
	outline: none;
	border-radius: 2px;
	transition: all 0.2s ease-in-out;
}

.btn--std {
	color: #FFF;
	background-color: var(--color_primary);
	box-shadow: 0 2px 8px var(--color_primary-40);
}

.btn--std:hover {
	color: #FFF;
	background-color: var(--color_primary-darken);
}


/* ------------------------------------------
    FORM
------------------------------------------ */

form {
	display: flex;
	flex-wrap: wrap;
	margin: -10px;
}

input:not([type=checkbox]):not([type=submit]),
textarea {
	font-family: var(--font_text);
	font-size: 14px;
	color: #2C3037;
	border: 1px solid #E9EAEB;
	background-color: transparent;
	border-radius: 2px;
	outline: none;
	width: 100%;
	padding: 10px;
	transition: all 0.4s ease;
}

input::placeholder,
textarea::placeholder {
	color: rgba(44, 48, 55, 0.5)
}

input:focus,
textarea:focus {
	border-color: var(--color_primary-40);
}

.input--small {
	width: 50%;
}

.input--full {
	width: 100%;
}


/* Checkbox */

.input--checkbox {
	display: flex;
	align-items: center;
	margin: 10px;
	cursor: pointer;
	font-size: 12px;
	line-height: 1.3;
}

input[type='checkbox'] {
	margin-right: 10px;
	flex-shrink: 0;
}

.input--checkbox span {
	flex: 1;
}

.input--checkbox a {
	color: inherit;
	text-decoration: underline;
	transition: opacity 0.2s ease-in-out;
}

.input--checkbox a:hover {
	opacity: 0.7;
}

#final {
	text-align: center;
	font-size: 14px;
	font-weight: 500;
	color: #58BE9F;
	background-color: rgba(88, 190, 159, 0.1);
	padding: 10px;
	border-radius: 2px;
	border: 1px solid rgba(88, 190, 159, 0.6);
}


/* Error */

input.error,
input.error,
textarea.error {
	border-color: rgba(235, 81, 97, 0.5);
}

label.error {
	display: block;
	margin-top: 5px;
	color: #EB5160;
}